package swtpl.marsrover.main;

import java.io.IOException;
import java.net.UnknownHostException;

import swtpl.marsrover.map.QuadTree;
import swtpl.marsrover.net.Connection;
import swtpl.marsrover.odometry.Odometry;
import swtpl.marsrover.planner.JohoPlanner;

public class Main {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		if( args.length != 2 ) {
			System.err.println("Usage: Main <hostname> <port>");
			System.exit(-1);
		}
		try {
			Connection con = new Connection(args[0],Integer.parseInt(args[1]));
			//QuadTree qt = new QuadTree();
			//con.registerInitHandler(qt);
			//con.registerObstacleHandler(qt);
			new JohoPlanner(con);
			con.startReading(con.getInputStream());
			Object tmp = new Object();
			synchronized( tmp ) {
				tmp.wait();
			}
		} catch (NumberFormatException e) {
			e.printStackTrace(System.err);
		} catch (UnknownHostException e) {
			e.printStackTrace(System.err);
		} catch (IOException e) {
			e.printStackTrace(System.err);
		} catch (InterruptedException e) {
			e.printStackTrace(System.err);
		}
	}

}
